xoops forums

MichaelK

Just popping in
Posted on: 2007/3/2 10:33
MichaelK
MichaelK (Show more)
Just popping in
Posts: 6
Since: 2007/3/1 1
#1

xComics

Hi there,

I have been trying to get xComics to work. I would be happy with the standard options for the moment, but alas no such luck yet!

Using XOOPS 2.0.16-apache 2.0.52-mysql 4.1.20 and php 4.3.11 on a Centos based system.

Does this setup have known problems??

Basically I get only "coud not load comic" or nothing at all.

Should the "code" work standard out of the box?

What more information is needed to try to solve the problem?

Regards,

Michael

LiliVG

Just popping in
Posted on: 2007/3/2 21:48
LiliVG
LiliVG (Show more)
Just popping in
Posts: 65
Since: 2005/12/25
#2

Re: xComics

it will do that until you "accept" the terms in the admin section, and then you have to manually select which commics you want to appear. Then it will work fine :)

MichaelK

Just popping in
Posted on: 2007/3/3 7:43
MichaelK
MichaelK (Show more)
Just popping in
Posts: 6
Since: 2007/3/1 1
#3

Re: xComics

Hi LIIIVG
Yes, I noticed thst "the accept". It give also a warning that you have to accept (in case you didn't) . So you can considder that done
I activate the comics manually, from the "edit comic" menu since from the "list menu" (or main management page) they don't get activated.

I get nothing to update:

debug shows:
Notice: Array to string conversion in file /modules/xcomics/admin/functions/xComicsListUpdate.php line 28
Warning: Invalid argument supplied for foreach() in file /modules/xcomics/admin/functions/xComicsListUpdate.php line 174

and after submit:
Notice: Undefined index: list in file /modules/xcomics/admin/functions/xComicsListUpdate.php line 28
Warning: Invalid argument supplied for foreach() in file /modules/xcomics/admin/functions/xComicsListUpdate.php line 47
Notice: Use of undefined constant E_STRICT - assumed 'E_STRICT' in file /class/logger_render.php line 58

In MySQL I find the cartoons active if activated from the edit menu.
I dont understand much of php so the "invalid argument" isn't really helpfull to me!

Any help is greatly appreciated,

Michael

LiliVG

Just popping in
Posted on: 2007/3/5 9:20
LiliVG
LiliVG (Show more)
Just popping in
Posts: 65
Since: 2005/12/25
#4

Re: xComics

what version of xComics are you using? I have version 2 running on my site with no problem.

I noticed that you just joined recently. The module-finding system is a little confusing right now, but I don't recommending downloading modules directly from the "Module Repository" section, as most of them are outdated and no longer work properly. The latest version of modules are now listed in the "News" section, and in dev.xoops.org. It's best to do a site-wide search for the module you're looking for to find the latest version before downloading anything. :)

MichaelK

Just popping in
Posted on: 2007/3/5 12:11
MichaelK
MichaelK (Show more)
Just popping in
Posts: 6
Since: 2007/3/1 1
#5

Re: xComics

I am using xComics 2 rc 1, did a good search but came up with nothing else...
Is there a difference between 2.2 and 2.0.16?

In the news section there is a 4.5 ??

https://xoops.org/modules/news/article.php?storyid=1264

http://xoops.opencms.nl/modules/mydownloads/singlefile.php?lid=42


But it is not available....

Michael

LiliVG

Just popping in
Posted on: 2007/3/5 19:50
LiliVG
LiliVG (Show more)
Just popping in
Posts: 65
Since: 2005/12/25
#6

Re: xComics

yeah, there's a big difference between XOOPS 2.2 and 2.0.x lines. a lot of the modules that work on 2.0.16 won't work on 2.2 and vice versa. Right now XOOPS is recommending the 2.0.x series as the most stable release. 2.2 is buggy, but has some nice features that 2.0.x doesn't. The 2.0.x and the 2.2 lines are going to be merged in the future, but it could be a while, so it's best to stick with 2.0.x for now. :)

MichaelK

Just popping in
Posted on: 2007/3/5 20:32
MichaelK
MichaelK (Show more)
Just popping in
Posts: 6
Since: 2007/3/1 1
#7

Re: xComics

Quote:

LiliVG wrote:
yeah, there's a big difference between XOOPS 2.2 and 2.0.x lines. a lot of the modules that work on 2.0.16 won't work on 2.2 and vice versa. Right now XOOPS is recommending the 2.0.x series as the most stable release. 2.2 is buggy, but has some nice features that 2.0.x doesn't. The 2.0.x and the 2.2 lines are going to be merged in the future, but it could be a while, so it's best to stick with 2.0.x for now. :)


Well I am using 2.0.16, are you using the same xComics module?
2RC1?

Michael

LiliVG

Just popping in
Posted on: 2007/3/7 3:56
LiliVG
LiliVG (Show more)
Just popping in
Posts: 65
Since: 2005/12/25
#8

Re: xComics

Yep, that's the one :) In the block, you have to click "edit" and select which comic you want it to display before anything will show up, have you done that yet?

MichaelK

Just popping in
Posted on: 2007/3/7 14:19
MichaelK
MichaelK (Show more)
Just popping in
Posts: 6
Since: 2007/3/1 1
#9

Re: xComics

Yes, I did activated the comic I want.
However I noticed one strange thing: I need to activate from the "edit cartoon" menu, from the main menu I always get the message "nothing to update"

I have now the cartoons 1.5 running but I would really like the extra's from xcomics